Summary: gRio500 is a Gnome/GTK+ interface to the Rio500 Linux drivers
Name: grio500
Version: 0.6
Release: 2mdk
Source0: http://prdownloads.sourceforge.net/grio500/%{name}-%{version}.tar.bz2
Patch0: grio500-0.6-include.patch.bz2
License: GPL
Group: Sound
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: rio500-devel

%description
Rio500 is a Gnome/GTK+ interface to the Rio500 Linux drivers

%prep
%setup -q
%patch0 -p1 -b .include

# needed by patch0
automake

%build

%configure

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" \
needs="x11" section="Multimedia/Sound" title="grio500" \
longtitle="gRio500 - Gnome interface for Rio500" icon="%{_datadir}/pixmaps/grio500-logo.png"
EOF

# dynamic desktop support

%define launchers /etc/dynamic/launchers/rio500

mkdir -p $RPM_BUILD_ROOT%launchers
cat > $RPM_BUILD_ROOT%launchers/%name.desktop << EOF
[Desktop Entry]
Name=GRio500
Comment=Rio500 interface
TryExec=/usr/bin/grio500
Exec=/usr/bin/grio500
Terminal=false
Icon=grio500-logo.png
Type=Application
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

update-alternatives --install %{launchers}/kde.desktop rio500.kde.dynamic %launchers/%name.desktop 30
update-alternatives --install %{launchers}/gnome.desktop rio500.gnome.dynamic %launchers/%name.desktop 30

%postun
%{clean_menus}

if [ $1 = 0 ]; then
  update-alternatives --remove rio500.kde.dynamic %launchers/%name.desktop
  update-alternatives --remove rio500.gnome.dynamic %launchers/%name.desktop
fi

%files
%defattr(-,root,root)
%doc README COPYING
%config(noreplace) %launchers/%name.desktop
%{_bindir}/*
%{_datadir}/gnome/apps/Applications/*
%{_datadir}/pixmaps/*
%{_menudir}/*


%changelog
* Wed Sep 12 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.6-2mdk
- added dynamic desktop entry

* Thu Sep  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-1mdk
- Initial Mdk package
- Patch0: fix include path


# end of file
